View Issue Details

IDProjectCategoryView StatusLast Update
0004934Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004934: show new wire transfer fee on withdrawal
DescriptionNeed to query /wire of the exchange to get and show the fees (and check sigs, and store fee structure).
TagsNo tags attached.

Relationships

related to 0004932 closedChristian Grothoff signature over wire fees needs to include wire method 
child of 0004929 closedChristian Grothoff need to add wire transfer aggregate fee 

Activities

Christian Grothoff

2017-03-04 18:48

manager   ~0011890

Implementation on the exchange-side is now done; so you should be able to start putting this into the wallet now.

Christian Grothoff

2017-04-02 00:23

manager   ~0012009

While you're at it, please also think about visualizing the coin expiration date, possibly giving some visual feedback of how reasonable it is in colors (i.e. green for > 1y, yellow for > 6m, red for <= 6m).

Christian Grothoff

2017-04-19 21:49

manager   ~0012052

We also have a new "reserve close" fee (charged when we send funds back when closing a reserve that has been idle without the funds being withdrawn). It should be shown in the same way.

Florian Dold

2017-04-28 23:44

manager   ~0012081

Implemented in 89067a1 and d6bf2490.

We don't do any color coding yet, but we show the earliest deposit expiration date in a human-friendly way (using a library).

Issue History

Date Modified Username Field Change
2017-03-04 16:53 Christian Grothoff New Issue
2017-03-04 16:53 Christian Grothoff Status new => assigned
2017-03-04 16:53 Christian Grothoff Assigned To => Florian Dold
2017-03-04 16:53 Christian Grothoff Relationship added child of 0004929
2017-03-04 16:54 Christian Grothoff Relationship added related to 0004932
2017-03-04 18:48 Christian Grothoff Note Added: 0011890
2017-04-02 00:23 Christian Grothoff Note Added: 0012009
2017-04-19 21:49 Christian Grothoff Note Added: 0012052
2017-04-28 23:44 Florian Dold Status assigned => resolved
2017-04-28 23:44 Florian Dold Resolution open => fixed
2017-04-28 23:44 Florian Dold Note Added: 0012081
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed